Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 11.x for to
  5. Search main for to
  6. Other projects
Title Object type File name Summary
WorkspaceManager::$negotiatorIds property core/modules/workspaces/src/WorkspaceManager.php The workspace negotiator service IDs.
WorkspaceManager::switchToLive function core/modules/workspaces/src/WorkspaceManager.php Unsets the active workspace via the workspace negotiators.
WorkspaceManagerInterface::switchToLive function core/modules/workspaces/src/WorkspaceManagerInterface.php Unsets the active workspace via the workspace negotiators.
WorkspaceMenuLinkContentIntegrationTest::testWorkspacesWithCustomMenuLinks function core/modules/workspaces/tests/src/Functional/WorkspaceMenuLinkContentIntegrationTest.php Tests custom menu links in non-default workspaces.
WorkspaceMergeForm::$workspaceOperationFactory property core/modules/workspaces/src/Form/WorkspaceMergeForm.php The workspace operation factory.
WorkspaceNegotiatorInterface interface core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Workspace negotiators provide a way to get the active workspace.
WorkspaceNegotiatorInterface.php file core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php
WorkspaceNegotiatorInterface::applies function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Checks whether the negotiator applies to the current request or not.
WorkspaceNegotiatorInterface::setActiveWorkspace function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Notifies the negotiator that the workspace ID returned has been accepted.
WorkspaceNegotiatorInterface::unsetActiveWorkspace function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Unsets the negotiated workspace.
WorkspaceOperationFactory class core/modules/workspaces/src/WorkspaceOperationFactory.php Defines a factory class for workspace operations.
WorkspaceOperationFactory.php file core/modules/workspaces/src/WorkspaceOperationFactory.php
WorkspaceOperationFactory::$database property core/modules/workspaces/src/WorkspaceOperationFactory.php The database connection.
WorkspaceOperationFactory::$deprecatedProperties property core/modules/workspaces/src/WorkspaceOperationFactory.php Defines deprecated injected properties.
WorkspaceOperationFactory::$entityTypeManager property core/modules/workspaces/src/WorkspaceOperationFactory.php The entity type manager.
WorkspaceOperationFactory::$eventDispatcher property core/modules/workspaces/src/WorkspaceOperationFactory.php An event dispatcher instance to use for configuration events.
WorkspaceOperationFactory::$logger property core/modules/workspaces/src/WorkspaceOperationFactory.php The logger service.
WorkspaceOperationFactory::$workspaceAssociation property core/modules/workspaces/src/WorkspaceOperationFactory.php The workspace association service.
WorkspaceOperationFactory::$workspaceManager property core/modules/workspaces/src/WorkspaceOperationFactory.php The workspace manager.
WorkspaceOperationFactory::getMerger function core/modules/workspaces/src/WorkspaceOperationFactory.php Gets the workspace merger.
WorkspaceOperationFactory::getPublisher function core/modules/workspaces/src/WorkspaceOperationFactory.php Gets the workspace publisher.
WorkspaceOperationFactory::__construct function core/modules/workspaces/src/WorkspaceOperationFactory.php Constructs a new WorkspaceOperationFactory.
WorkspacePermissionsTest::testEditOwnWorkspace function core/modules/workspaces/tests/src/Functional/WorkspacePermissionsTest.php Verifies that a user can create and edit only their own workspace.
WorkspacePublishEvent::$publishingStopped property core/modules/workspaces/src/Event/WorkspacePublishEvent.php Whether an event subscriber requested the publishing to be stopped.
WorkspacePublishEvent::$publishingStoppedReason property core/modules/workspaces/src/Event/WorkspacePublishEvent.php The reason why publishing stopped. For use in messages.
WorkspacePublishEvent::getPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the reason for stopping the workspace publication.
WorkspacePublishEvent::isPublishingStopped function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Determines whether a subscriber requested the publishing to be stopped.
WorkspacePublishEvent::setPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Sets the reason for stopping the workspace publication.
WorkspacePublishEvent::stopPublishing function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Signals that the workspace publishing should be aborted.
WorkspacePublishForm::$workspaceOperationFactory property core/modules/workspaces/src/Form/WorkspacePublishForm.php The workspace operation factory.
WorkspaceQueryParameterNegotiatorTest class core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests the query parameter workspace negotiator.
WorkspaceQueryParameterNegotiatorTest.php file core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Modules to install.
WorkspaceQueryParameterNegotiatorTest::providerTestWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Data provider for testWorkspaceQueryParameter.
WorkspaceQueryParameterNegotiatorTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::testWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php @covers ::getActiveWorkspaceId[[api-linebreak]]
@dataProvider providerTestWorkspaceQueryParameter
WorkspaceRepository class core/modules/workspaces/src/WorkspaceRepository.php Provides the default workspace tree lookup operations.
WorkspaceRepository.php file core/modules/workspaces/src/WorkspaceRepository.php
WorkspaceRepository::$cache property core/modules/workspaces/src/WorkspaceRepository.php The cache backend used to store the workspace tree.
WorkspaceRepository::$entityTypeManager property core/modules/workspaces/src/WorkspaceRepository.php The entity type manager service.
WorkspaceRepository::$tree property core/modules/workspaces/src/WorkspaceRepository.php An array of tree items, keyed by workspace IDs and sorted in tree order.
WorkspaceRepository::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepository.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepository::loadTree function core/modules/workspaces/src/WorkspaceRepository.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepository::resetCache function core/modules/workspaces/src/WorkspaceRepository.php Resets the cached workspace tree.
WorkspaceRepository::__construct function core/modules/workspaces/src/WorkspaceRepository.php Constructs a new WorkspaceRepository instance.
WorkspaceRepositoryInterface interface core/modules/workspaces/src/WorkspaceRepositoryInterface.php Provides an interface for workspace tree lookup operations.
WorkspaceRepositoryInterface.php file core/modules/workspaces/src/WorkspaceRepositoryInterface.php
WorkspaceRepositoryInterface::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepositoryInterface::loadTree function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepositoryInterface::resetCache function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Resets the cached workspace tree.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.